Changes between Version 13 and Version 16 of Ticket #20710


Ignore:
Timestamp:
06/15/16 08:44:53 (5 years ago)
Author:
jdemeyer
Comment:

You still need this piece of have_error.patch (upstream explicitly rejected this):

  • src/env/error.c

    diff -ru glpk-4.55/src/env/error.c glpk-4.55-patched//src/env/error.c
    old new  
    4747      va_end(arg);
    4848      xprintf("Error detected in file %s at line %d\n",
    4949         env->err_file, env->err_line);
     50      env->err_file = NULL;
    5051      if (env->err_hook != NULL)
    5152         env->err_hook(env->err_info);
    5253      abort();

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #20710

    • Property Dependencies changed from to #20832
  • Ticket #20710 – Description

    v13 v16  
    22Here are the tasks for this upgrade:
    33 1) use `spkg-src` instead of patching `configure` directly
    4  2) drop the `have_error.patch` has the functionality is now upstream without having to change sage's code.
     4 2) some part of `have_error.patch` is now upstream
    55 3) clean up `SPKG.txt` and other files so they are reflecting the current reality more closely without obsolete historical comments
    66